Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JDKAlgorithmParameterGenerator

    java.lang.Object
      |
      +--java.security.AlgorithmParameterGeneratorSpi
            |
            +--org.bouncycastle.jce.provider.JDKAlgorithmParameterGenerator

Direct Known Subclasses:
  JDKAlgorithmParameterGenerator.AES, JDKAlgorithmParameterGenerator.CAST5, JDKAlgorithmParameterGenerator.DES, JDKAlgorithmParameterGenerator.DH, JDKAlgorithmParameterGenerator.DSA, JDKAlgorithmParameterGenerator.ElGamal, JDKAlgorithmParameterGenerator.GOST3410, JDKAlgorithmParameterGenerator.IDEA, JDKAlgorithmParameterGenerator.RC2

public abstract class JDKAlgorithmParameterGenerator
extends java.security.AlgorithmParameterGeneratorSpi

Inner Class Summary
`static class` | `JDKAlgorithmParameterGenerator.AES`
`static class` | `JDKAlgorithmParameterGenerator.CAST5`
`static class` | `JDKAlgorithmParameterGenerator.DES`
`static class` | `JDKAlgorithmParameterGenerator.DH`
`static class` | `JDKAlgorithmParameterGenerator.DSA`
`static class` | `JDKAlgorithmParameterGenerator.ElGamal`
`static class` | `JDKAlgorithmParameterGenerator.GOST3410`
`static class` | `JDKAlgorithmParameterGenerator.IDEA`
`static class` | `JDKAlgorithmParameterGenerator.RC2`

Field Summary
`protected java.security.SecureRandom` | `random`
`protected int` | `strength`

Constructor Summary
`JDKAlgorithmParameterGenerator()`

Method Summary
`protected void` | `engineInit(int strength, java.security.SecureRandom random)`

Methods inherited from class java.security.AlgorithmParameterGeneratorSpi
`engineGenerateParameters, engineInit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### random

    protected java.security.SecureRandom random

### strength

    protected int strength

Constructor Detail

### JDKAlgorithmParameterGenerator

    public JDKAlgorithmParameterGenerator()

Method Detail

### engineInit

    protected void engineInit(int strength,
                              java.security.SecureRandom random)

  Overrides:
    `engineInit` in class `java.security.AlgorithmParameterGeneratorSpi`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD